Subject: Re: [PATCH 1/1] imap-send: include strbuf.h

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 May 2023 11:12:16 -0700

<[email-masked]> writes:

>>Oof, yes, you are right:
>>
>>    diff -u \
>>      <(gcc -I . -E imap-send.c) \
>>      <(gcc -DNO_CURL=1 -I . -E imap-send.c)
>>
>>How *should* we test this?
>
> I hope not by using gcc, which is not currently a
> dependency. Using the C preprocessor directly might help in a more
> general sense, but you probably will need a knob for some
> compilers to work.

I am not going to suggest trying all permutations of CPP macros to
make sure we cover all the #ifdef'ed sections, but -E to show CPP
output is pretty common feature not limited to "gcc", so if we were
to do that, we'd very likely use the usual $(CC) Makefile macro to
invoke such a test.